import { defineStore } from 'pinia'
import { ref } from 'vue'

export const usePrivacyStore = defineStore('privacy', () => {
  const modalPrivacy = ref<boolean>(false)
  const isAccepted = ref<boolean>(false)

  const setAccepted = (value: boolean) => {
    isAccepted.value = value
  }

  const reset = () => {
    isAccepted.value = false
  }

  return {
    modalPrivacy,
    isAccepted,
    setAccepted,
    reset,
  }
})
